<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="基础信息">
    <query id="JdgCouplingMatButtress.setMatStatus" desc="修改材料状态">
        <![CDATA[
 UPDATE COUPLING_MAT_BUTTRESS T
    SET T.MAT_STATUS = '#MAT_STATUS#'
  WHERE EXISTS (SELECT 1
           FROM COUPLING_MAT_M A
          WHERE A.MAT_NO = T.MAT_NO
            AND A.JUDGE_STOVE_NO = '#JUDGE_STOVE_NO#'
            AND A.BATCH_NO = '#BATCH_NO#'
            AND A.DETER_NO = '#DETER_NO#'
            AND A.WO_ID = '#WO_ID#')
		]]>
    </query>
</queryMap>